## mvn jooby:run
* [jooby:run](https://github.com/jooby-project/jooby/tree/master/jooby-maven-plugin): maven plugin with hot reload of classes, powered by {{jboss-modules}}.

## parsers & renderers
* [jackson](https://github.com/jooby-project/jooby/tree/master/jooby-jackson): JSON supports via Jackson.
* [gson](https://github.com/jooby-project/jooby/tree/master/jooby-gson): JSON supports via Gson.

## template engines
* [handlebars/mustache](https://github.com/jooby-project/jooby/tree/master/jooby-hbs): logic less and semantic Mustache templates.
* [freemarker](https://github.com/jooby-project/jooby/tree/master/jooby-ftl): render templates with FreeMarker.

## session
* [redis](https://github.com/jooby-project/jooby/tree/master/jooby-jedis/#redis-session-store): HTTP session on {{redis}}.
* [memcached](https://github.com/jooby-project/jooby/tree/master/jooby-spymemcached/#session-store): HTTP session on {{memcached}}.
* [mongodb](https://github.com/jooby-project/jooby/tree/master/jooby-mongodb/#mongodb-session-store): HTTP session on {{mongodb}}.
* [hazelcast](https://github.com/jooby-project/jooby/tree/master/jooby-hazelcast/#session-store): HTTP session on {{hazelcast}}.
* [ehcache](https://github.com/jooby-project/jooby/tree/master/jooby-ehcache/#session-store): HTTP session on {{ehcache}}.

## sql
* [jdbc](https://github.com/jooby-project/jooby/tree/master/jooby-jdbc): high performance connection pool for jdbc via {{hikari}}.
* [jdbi](https://github.com/jooby-project/jooby/tree/master/jooby-jdbi): fluent API for JDBC.
* [flyway](https://github.com/jooby-project/jooby/tree/master/jooby-flyway): database migrations via {{flyway}}.

## object relational mapping - ORM
* [hibernate](https://github.com/jooby-project/jooby/tree/master/jooby-hbm): object/relational mapping via {{hibernate}}.
* [ebean](https://github.com/jooby-project/jooby/tree/master/jooby-ebean): object/relational mapping via {{ebean}}.

## validation
* [hibernate validator](https://github.com/jooby-project/jooby/tree/master/jooby-hbv): bean validation.

## mongodb
* [mongodb](https://github.com/jooby-project/jooby/tree/master/jooby-mongodb): Mongodb driver.
* [morphia](https://github.com/jooby-project/jooby/tree/master/jooby-morphia): Object/Document mapper via [Morphia]({{morphia}}).
* [jongo](https://github.com/jooby-project/jooby/tree/master/jooby-jongo): Query in Java as in Mongo Shell.

## caches
* [redis](https://github.com/jooby-project/jooby/tree/master/jooby-jedis): Advanced cache and key/value store for Java.
* [memcached](https://github.com/jooby-project/jooby/tree/master/jooby-spymemcached): In-memory key-value store for small chunks of arbitrary data.
* [hazelcast](https://github.com/jooby-project/jooby/tree/master/jooby-hazelcast): {{hazelcast}} for {{jooby}}.
* [ehcache](https://github.com/jooby-project/jooby/tree/master/jooby-ehcache): Java's most widely-used cache.

## full text search
* [elastic search](https://github.com/jooby-project/jooby/tree/master/jooby-elasticsearch): enterprise full text search via {{elasticsearch}}.

## async
* [akka](https://github.com/jooby-project/jooby/tree/master/jooby-akka): build concurrent & distributed applications via [Akka](http://akka.io).

## amazon web services
* [aws](https://github.com/jooby-project/jooby/tree/master/jooby-aws): Amazon web services ```s3, sns, sqs, ..., etc.```.

## swagger
* [swagger](https://github.com/jooby-project/jooby/tree/master/jooby-swagger): powerful representation of your RESTful API.

## auth & security
* [pac4j](https://github.com/jooby-project/jooby/tree/master/jooby-pac4j): authentication module via: {{pac4j}}.

## scheduling
* [quartz](https://github.com/jooby-project/jooby/tree/master/jooby-quartz): advanced job scheduling.

## enterprise integration patterns (EIP)
* [camel](https://github.com/jooby-project/jooby/tree/master/jooby-camel): enterprise service bus for Jooby.

## emails
* [commons-email](https://github.com/jooby-project/jooby/tree/master/jooby-commons-email): Email supports via {{commons-email}}.

## amazon web services
* [aws](https://github.com/jooby-project/jooby/tree/master/jooby-aws): wire AWS services and expose them in Guice.

## css pre-processors
* [sass](https://github.com/jooby-project/jooby/tree/master/jooby-sass): {{sass}} CSS pre-processor via {{sassjava}}.
* [less](https://github.com/jooby-project/jooby/tree/master/jooby-less): {{less}} CSS pre-processor via {{less4j}}.

## servers
* [netty](https://github.com/jooby-project/jooby/tree/master/jooby-netty)
* [jetty](https://github.com/jooby-project/jooby/tree/master/jooby-jetty)
* [undertow](https://github.com/jooby-project/jooby/tree/master/jooby-undertow)

## servlet
* [servlet](https://github.com/jooby-project/jooby/tree/master/jooby-servlet): supports war deployments.
